Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Handling files and directories portably
Name:		perl-File-Spec
Version:	3.12
Release:	2
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=%{perlname}
Group:		Development/Perl
Source0:	PathTools-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

%define		perlepoch	3
%define		perlversion	5.8.8

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
Handling files and directories portably
For more details see: http://search.cpan.org/search?module=%{perlname}

%post
ldconfig

%postun
ldconfig

%prep
%setup -n PathTools-%{version}

%build
perl Makefile.PL /usr
make

%install
rm -Rf $RPM_BUILD_ROOT 
make install DESTDIR=$RPM_BUILD_ROOT 
# removing unwanted stuff
if [ -f "$RPM_BUILD_ROOT%_libdir/perl5/%{perlversion}/i686-linux/perllocal.pod" ]; then
rm -f $RPM_BUILD_ROOT%_libdir/perl5/%{perlversion}/i686-linux/perllocal.pod
fi
# stripping package
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 3.12-2
- rebuild against perl-5.8.8
* Wed Dec 07 2005 Stefan Gottwald <gotti@ccux-linux.de> 3.12-1
- Initial Release
